Mina produkter

Logga in för att följa kategorier och för att få genvägar i denna meny
Visma Administration, Fakturering & Förening
avbryt
Visar resultat för 
Sök istället efter 
Menade du: 
Highlighted
APPLICATION SPECIALIST

Re: AdkNet4Wrapper koppling till 2017.1 Administration

Hej henrik108
Har du installerat en integrationsklient på den datorn som du får felet på? 
Highlighted
NY MEDLEM

Re: AdkNet4Wrapper koppling till 2017.1 Administration

Hej!

Detta är en webbapp så jag har inte installerat integrationsklienten på den dator som jag sitter med webbläsaren.

Jag har dock installerat integrationsklienten på webbservern och det avhjälpte felet som jag hade fört med att hitta adk.dll.

Min koppling fungerar utmärkt med admin 2017.0 och när jag ska testa med 2017.12 så har jag justerat så att jag använder adkOpen2 för att skicka med användare och lösenord.

Men jag får som sagt "Felaktig sökordning" bara genom att försöka koppla företaget.

Felet kommer ju genom error variabeln så man tycker att det borde finnas någon typ av koppling

Mycket tacksam för fler tips

Mvh
Henrik
Highlighted
NY MEDLEM

Re: AdkNet4Wrapper koppling till 2017.1 Administration

Hej Henrik!

Nu är jag inte insatt i Vismas API, men blir felet vid tilldelningen av error variablen eller går den in i IF-satsen och felet blir när man läser ur error variablen?
Highlighted
NY MEDLEM

Re: AdkNet4Wrapper koppling till 2017.1 Administration

Hej!

Felet "Felaktigt sökordning" läser jag ut från variabeln inne i if-satsen

Mvh
Henrik


Kan tillägga att jag har högerklickat användaren som jag försöker connecta med, inne i visma och angivit att den ska tillåtas integration
Highlighted
APPLICATION SPECIALIST

Re: AdkNet4Wrapper koppling till 2017.1 Administration

Hej henrik108
Jag har sett något tidigare fall där det hjälpt att installera en klientinstallation av Administration på den datorn. I ditt fall kan det då räcka att du installerar 
Microsoft ODBC driver 11 for SQL Server   Denna hittar du under C:\ProgramData\SPCS\SPCS Administration\Gemensamma filer\Klientsetup\ISSetupPrerequisites
Har du annan sökväg hit så får du ju så klart kolla där.
Highlighted
NY MEDLEM

Re: AdkNet4Wrapper koppling till 2017.1 Administration

Hej och tack för svar.

Är det på webservern du menar att jag skall installera ODBC driver?

För klienterna kan ju vara både desktop och mobiler

MVH
Henrik
Highlighted
APPLICATION SPECIALIST

Re: AdkNet4Wrapper koppling till 2017.1 Administration

Hej henrik108

Ja på webservern. 
Highlighted
NY MEDLEM

Re: AdkNet4Wrapper koppling till 2017.1 Administration

Ville bara meddela att det fungerar för mig nu.
Jag tror mitt problem berodde på att jag Uppgraderat till nya sql databasen och sedan gått tillbaka till dbase då det inte fungerat.

När jag sedan igen har provat att uppdatera till sql igen en andra gång så har gamla sql databaser legat kvar.

Men om jag raderade alla sqldatabaser innan jag uppdaterade så fungerade det bra